<table class="table table-stripped">
    <tr>
      <th>#</th>
      <th>First name</th>
      <th>Last name</th>
      <th>Year of birth</th>
      <th>Balance</th>
      <th></th>
    </tr>        
    <tr ng-repeat="person in ctrl.persons">
      <td><span class="badge" ng-bind="$index"></span></td>
      <td ng-bind="person.firstName"></td>
      <td ng-bind="person.lastName"></td>
      <td ng-bind="person.year"></td>
      <td ng-bind="person.balance"></td>
      <td>
        <div ng-if="ctrl.isAdmin()">
          <button class="btn btn-danger btn-xs" ng-click="ctrl.delete(person._id)">del</button>
          <button class="btn btn-primary btn-xs" ng-click="ctrl.copy($index)">copy</button>
        </div>
      </td>
    </tr>
  </table>

<div ng-if="ctrl.isAdmin()">
  <label for="edit_person_data">Edit person data</label>
  <form id="edit_person_data" class="form form-inline">
    <input class="form-control" type="text" placeholder="first name" ng-model="ctrl.person.firstName"/>
    <input class="form-control" type="text" placeholder="last name" ng-model="ctrl.person.lastName"/>
    <input class="form-control" type="number" placeholder="year" ng-model="ctrl.person.year"/>
    <button class="btn btn-default" ng-click="ctrl.new()" ng-disabled="!ctrl.isPersonDataCorrect()">New</button>
    <button class="btn btn-default" ng-click="ctrl.modify()" ng-if="ctrl.clickedRow >= 0" ng-disabled="!ctrl.isPersonDataCorrect()">Modify <span class="badge" ng-bind="ctrl.clickedRow"></span></button>
  </form><br/>
</div>